<?php

namespace Eyemagine\HubSpot\Controller\Adminhtml\Index;

use Magento\Backend\App\Action;
use Magento\Customer\Model\CustomerFactory;
use Eyemagine\HubSpot\Helper\Data as Helper;

class Coupon extends \Magento\Backend\App\Action
{
    protected $customerFactory;

    protected $helper;

    public function __construct(
        Action\Context $context,
        CustomerFactory $customerFactory,
        Helper $helper
    )
    {
        $this->customerFactory = $customerFactory;
        $this->helper = $helper;
        parent::__construct($context);
    }

    public function execute()
    {
        $websiteId = explode(',', $this->getRequest()->getParam('website_ids'));
        $groupId = explode(',', $this->getRequest()->getParam('customer_group_ids'));
        $couponCode = $this->getRequest()->getParam('coupon_code');

        $customers = $this->customerFactory->create()->getCollection()
            ->addAttributeToSelect("*")
            ->addAttributeToFilter("website_id", $websiteId)
            ->addAttributeToFilter("group_id", $groupId);

        if ($customers->getSize()) {
            foreach ($customers as $customer) {
                // Save coupon code for customer
                $customer->setData('hubspot_coupon', $couponCode);
                $customer->save();

                // get hubspot contact
                $contact = $this->helper->convertJsonToArray($this->helper->getContactByEmail($customer->getEmail()));
                if (isset($contact['vid'])) {
                    // update coupon code for Hubspot contact
                    // update forgot password url in contact property
                    $contactProperty['properties'] = [
                        [
                            "property" => "coupon_code",
                            "value" => $couponCode
                        ]
                    ];

                    $this->helper->updateContact($contact['vid'], $contactProperty);
                }
            }
        }
    }
}
