define([
    'jquery',
    'Magento_Ui/js/modal/confirm',
    'mage/url'
], function ($,confirm, urlBuilder) {
    'use strict';

    var isConfirm = false;
    return function (Form) {
        return Form.extend({
            submit: function () {
                var source = this.source;
                var parent = this;
                if (!isConfirm && typeof source.dataScope !== undefined && source.dataScope === "sales_rule_form") {
                    confirm({
                        title: $.mage.__('Confirm'),
                        content: $.mage.__('Add this Coupon Code to each Customer in HubSpot? It will replace any previously saved coupon code in the HubSpot contact record.'),
                        actions: {
                            confirm: function(){
                                var websiteIds = source.data.website_ids,
                                    customerGroupIds = source.data.customer_group_ids,
                                    couponCode = source.data.coupon_code;
                                $.ajax({
                                    showLoader: true,
                                    url: HUBSPOT_URL,
                                    data: 'form_key=' + window.FORM_KEY + '&website_ids=' + websiteIds + '&customer_group_ids=' + customerGroupIds + '&coupon_code=' + couponCode,
                                    type: "POST",
                                    dataType: 'json'
                                }).done(function (data) {
                                    isConfirm = true;
                                    parent.submit();
                                });
                            },
                            cancel: function(){
                                isConfirm = true;
                                parent.submit();
                            },
                            always: function(){}
                        }
                    });
                } else {
                    this._super();
                }
            }
        });
    }
});
